Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gdk::EventWindowState Class Reference

A GdkEventWindowState C++ wrapper class. More...

`#include <xfc/gdk/events.hh>`

Inheritance diagram for Xfc::Gdk::EventWindowState:

List of all members.

## Public Member Functions

Accessors

- GdkEventWindowState * gdk_event_window_state () const
    Get a pointer to the GdkEventWindowState structure.
- WindowStateField changed_mask () const
    Returns the bit-mask specifying what flags have changed (see Gdk::WindowState).
- WindowStateField new_window_state () const
    Returns the new window state, a combination of Gdk::WindowState bits.

## Detailed Description

A GdkEventWindowState C++ wrapper class.

An EventWindowState is generated when the state of a toplevel window changes.

The event type is WINDOW_STATE.

The documentation for this class was generated from the following file:

- events.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3